<?php
$vomses_dir = $pva_install_path . "/conf/vomses/";

$vogroups_file = $vomses_dir . "/vogroups";
if (file_exists($vogroups_file)) include($vogroups_file);

$external_vos_file = $vomses_dir ."/external";
if (file_exists($external_vos_file)) include($external_vos_file);

// get all PVA server VOs
$vonamearr = getServedVOs($vomses_dir);

// VO groups list link
if ( isset($vogroups) ) if ( ! empty($vogroups) ) 
printf("<a class=\"right mt20\" href=\"?globop=listvogroups\">%s</a>", $voms_vo_grouplist_caption);

// list serced VOs
printf("<p class=\"headp\">%s</p>\n", $voms_vo_list);
echo "<table>\n";
if ( $vonamearr === -1 ) {
	printf("<p class=\"error\" >%s<p>\n",$voms_confdir_failed);
} else if ( empty($vonamearr) ) {
	printf("<p>%s</p>",$voms_no_vo_served);
} else {
	$rows = f_listVOsTable ($vonamearr, $external_vos);
	$odd = 0;
	foreach($rows as $tr => $tds) {
		doOddtrtd($odd);
		printf("%s</td><td>%s</td>\n</tr>\n", $tds[0], $tds[1]);
	}
}
echo "</table>\n";
echo "<div style=\"height: 40px\"></div>\n";

// list external VOs
if ( ! empty($external_vos) ) {
	printf("<p class=\"headp\">%s</p>\n",$voms_extenal_vo_list);
	echo "<table>\n";
	$dummy = array();
	$rows = f_listVOsTable ($external_vos, $dummy);
	$odd = 0;
	foreach($rows as $tr => $tds) {
		doOddtrtd($odd);
		printf("%s</td><td>%s</td>\n</tr>\n", $tds[0], $tds[1]);
	}
	echo "</table>\n";
	echo "<div style=\"height: 40px\"></div>\n";
}

?>
